---
title: USBDevice.deviceClass
slug: Web/API/USBDevice/deviceClass
tags:
  - API
  - Property
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - deviceClass
---
<p>{{SeeCompatTable}}{{APIRef("WebUSB API")}}</p>

<p>The <strong><code>deviceClass</code></strong> read only property of the {{domxref("USBDevice")}} interface one of three properties that identify USB devices for the purpose of loading a USB driver that will work with that device. The other two properties are USBDevice.deviceSubclass and USBDevice.deviceprotocol.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var number = USBDevice.deviceClass</pre>

<h3 id="Value">Value</h3>

<p>A number.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-deviceclass','deviceClass')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.deviceClass")}}</p>
